Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
com.tritondigital.sdksample.ads.CustomAdsActivity Class Reference

This sample shows a custom UI implementation. More...

Inheritance diagram for com.tritondigital.sdksample.ads.CustomAdsActivity:

## Public Member Functions
void | onAdLoaded (AdLoader adLoader, Bundle ad)
void | onAdLoadingError (AdLoader adLoader, int errorCode)
void | onCompletion (MediaPlayer mp)
boolean | onError (MediaPlayer mp, int what, int extra)
Public Member Functions inherited from com.tritondigital.sdksample.ads.AdsActivity
void | onClick (View v)

## Protected Member Functions
void | onCreate (Bundle savedInstanceState)
void | onResume ()
void | onPause ()
void | onDestroy ()
void | reset ()
int | getLayout ()
void | loadAdRequest (AdRequestBuilder adRequestBuilder)
Protected Member Functions inherited from com.tritondigital.sdksample.ads.AdsActivity
void | setStatus (String status)
void | setAdDuration (String duration)

## Detailed Description

This sample shows a custom UI implementation.

- Ads must be loaded at each play request so the server can update the tracking URLs.
- No support will be given on custom ad playback.
- Make sure to call the tracking methods from AdUtil at the right place or the ads might not be paid.

## Member Function Documentation

## ◆ getLayout()

int com.tritondigital.sdksample.ads.CustomAdsActivity.getLayout | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

## ◆ loadAdRequest()

void com.tritondigital.sdksample.ads.CustomAdsActivity.loadAdRequest | ( | AdRequestBuilder | adRequestBuilder | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

## ◆ onCreate()

void com.tritondigital.sdksample.ads.CustomAdsActivity.onCreate | ( | Bundle | savedInstanceState | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

## ◆ reset()

void com.tritondigital.sdksample.ads.CustomAdsActivity.reset | ( |  | ) |
| protected

Reimplemented from com.tritondigital.sdksample.ads.AdsActivity.

The documentation for this class was generated from the following file:

- released_modules/src/main/java/com/tritondigital/sdksample/ads/CustomAdsActivity.java